Package: org.gradle.api.plugins.sonar.model

## [Groovy] Class SonarJavaSettings

- org.gradle.api.plugins.sonar.model.SonarJavaSettings

- Java-related configuration options for the project to be analyzed.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `sourceCompatibility` The source compatibility of the Java code.
    `String` | `targetCompatibility` The target compatibility of the Java code.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @SonarProperty("sonar.java.source") String sourceCompatibility

      The source compatibility of the Java code. Defaults to `project.sourceCompatibility`.

    - #### @SonarProperty("sonar.java.target") String targetCompatibility

      The target compatibility of the Java code. Defaults to `project.targetCompatibility`.